- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_MngSeq_Var_T< T, T_elem > Class Template Reference

Parametrized implementation of _var class for sequences whose element is of a managed type - string, wstring, valuetype, interface, abstract interface and pseudo object. More...

`#include <Seq_Var_T.h>`

Inheritance diagram for TAO_MngSeq_Var_T< T, T_elem >:

[legend]
Collaboration diagram for TAO_MngSeq_Var_T< T, T_elem >:

[legend]
List of all members.

## Public Member Functions
| TAO_MngSeq_Var_T (void)
| TAO_MngSeq_Var_T (T *)
| TAO_MngSeq_Var_T (const TAO_MngSeq_Var_T< T, T_elem > &)
TAO_MngSeq_Var_T & | operator= (T *)
TAO_MngSeq_Var_T & | operator= (const TAO_MngSeq_Var_T< T, T_elem > &)
| operator T *& ()
T_elem | operator[] (CORBA::ULong index)

## Detailed Description

### template<typename T, typename T_elem>
class TAO_MngSeq_Var_T< T, T_elem >

Parametrized implementation of _var class for sequences whose element is of a managed type - string, wstring, valuetype, interface, abstract interface and pseudo object.

## Constructor & Destructor Documentation

template<typename T, typename T_elem>

ACE_INLINE TAO_MngSeq_Var_T< T, T_elem >::TAO_MngSeq_Var_T | ( | void |  | ) |

template<typename T, typename T_elem>

ACE_INLINE TAO_MngSeq_Var_T< T, T_elem >::TAO_MngSeq_Var_T | ( | T * |  | ) |

template<typename T, typename T_elem>

TAO_MngSeq_Var_T< T, T_elem >::TAO_MngSeq_Var_T | ( | const TAO_MngSeq_Var_T< T, T_elem > & |  | ) |

## Member Function Documentation

template<typename T, typename T_elem>

ACE_INLINE TAO_MngSeq_Var_T< T, T_elem >::operator T *& | ( |  | ) |

template<typename T, typename T_elem>

TAO_MngSeq_Var_T< T, T_elem > & TAO_MngSeq_Var_T< T, T_elem >::operator= | ( | const TAO_MngSeq_Var_T< T, T_elem > & |  | ) |

template<typename T, typename T_elem>

ACE_INLINE TAO_MngSeq_Var_T< T, T_elem > & TAO_MngSeq_Var_T< T, T_elem >::operator= | ( | T * |  | ) |

template<typename T, typename T_elem>

ACE_INLINE T_elem TAO_MngSeq_Var_T< T, T_elem >::operator[] | ( | CORBA::ULong | index | ) |

The documentation for this class was generated from the following files:

- Seq_Var_T.h
- Seq_Var_T.cpp
- Seq_Var_T.inl